# [ntfy-alertmanager]

A bridge between ntfy and Alertmanager.

## Configuration

You can specify the configuration file location with the `--config` flag. By default
the configuration file will be read from `/etc/ntfy-alertmanager/config`. The format
of this file is [scfg].

ntfy-alertmanager has support for setting ntfy [priority] and [tags]. Define a
decreasing order of labels in the config file and map those labels to tags or priority.

-   For priority the first found value will be chosen.
-   Tags are added together.

Example:

```
# http listen address
http-address 127.0.0.1:8080
# Log level (either debug, info, warning, error)
log-level info
# Optionally protect with HTTP basic authentication
user webhookUser
password webhookPass

labels {
    order "severity,instance"

    severity "critical" {
        priority 5
        tags "rotating_light"
    }

    severity "info" {
        priority 1
    }

    instance "example.com" {
        tags "computer,example"
    }
}

ntfy {
    # URL of the ntfy topic - required
    topic https://ntfy.sh/alertmanager-alerts
    # ntfy access control (https://ntfy.sh/docs/config/#access-control)
    user user
    password pass
}
```

### Alertmanager config

```yaml
receivers:
    - name: "ntfy"
      webhook_configs:
          - url: "http://127.0.0.1:8080"
            http_config:
                basic_auth:
                    username: "webhookUser"
                    password: "webhookPass"
```

## Contributing

Report bugs on the [issue tracker].

[ntfy-alertmanager]: https://hub.xenrox.net/~xenrox/ntfy-alertmanager/
[scfg]: https://git.sr.ht/~emersion/scfg
[priority]: https://ntfy.sh/docs/publish/#message-priority
[tags]: https://ntfy.sh/docs/publish/#tags-emojis
[issue tracker]: https://todo.xenrox.net/~xenrox/ntfy-alertmanager
